Summary: Parallel Distributed Shell
Name: pdsh
Version: 2.26
Release: 1.scs
License: GPL
Group: System Environment/Base
Source: http://internap.dl.sourceforge.net/sourceforge/pdsh/%{name}-%{version}.tar.bz2
Packager: %{?_packager:%{_packager}}%{!?_packager:%{_vendor}}
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
#BuildRequires: slurm-devel
Obsoletes: pdsh-rcmd <= %{version}
Obsoletes: pdsh-mod-machines <= %{version}
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Pdsh is a multithreaded remote shell client which executes commands
on multiple remote hosts in parallel.  Pdsh can use several different
remote shell services, including standard "rsh", Kerberos IV, and ssh.

%package dshbak
Summary: PDSH output formatting tool
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description dshbak
A rewrite of the IBM dshbak for use of rewritting pdsh output into a
more human readable format (especially useful as the node count increases).

%prep
%setup -q 

%build
CFLAGS="%{?cflags:%{cflags}}%{!?cflags:$RPM_OPT_FLAGS}"
export CFLAGS

%configure %{?acflags} --with-ssh --with-exec --without-rsh
%{__make} %{?mflags}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}

# Link equivalent binaries
diff -q $RPM_BUILD_ROOT%{_bindir}/pdsh $RPM_BUILD_ROOT%{_bindir}/rpdcp \
    && ln -f $RPM_BUILD_ROOT%{_bindir}/pdsh $RPM_BUILD_ROOT%{_bindir}/rpdcp
diff -q $RPM_BUILD_ROOT%{_bindir}/pdsh $RPM_BUILD_ROOT%{_bindir}/pdcp \
    && ln -f $RPM_BUILD_ROOT%{_bindir}/pdsh $RPM_BUILD_ROOT%{_bindir}/pdcp

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README README.KRB4 README.QsNet README.modules INSTALL COPYING TODO AUTHORS NEWS ChangeLog doc
%{_bindir}/pdcp
%{_bindir}/pdsh
%{_bindir}/rpdcp
%{_libdir}/pdsh/
%{_mandir}/man1/pdcp.1*
%{_mandir}/man1/pdsh.1*
%{_mandir}/man1/rpdcp.1*

%files dshbak
%defattr(-, root, root)
%{_bindir}/dshbak
%{_mandir}/man1/dshbak.1*

%changelog
* Sun Dec 30 2007 Mezzanine <mezzanine@kainx.org>
- Specfile auto-generated by Mezzanine

